org.multiverse.api

## Enum TraceLevel

- java.lang.Object
- - java.lang.Enum<TraceLevel>
  - - org.multiverse.api.TraceLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TraceLevel>

    public enum TraceLevel
    extends java.lang.Enum<TraceLevel>

Using the TraceLevel you get some feedback on what is happening inside a transaction.

For tracing to work, you need to look at `MultiverseConstants.TRACING_ENABLED`. If not enabled, the JIT will remove dead code because we don't want any overhead.

See Also:
  `TxnFactoryBuilder.setTraceLevel(TraceLevel)`, `TxnConfig.getTraceLevel()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Coarse`
`None`

### Method Summary

Methods
`boolean` `isLoggableFrom(TraceLevel level)` Checks if the provided level is higher than this TraceLevel.
`static TraceLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TraceLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final TraceLevel None

#### Coarse

    public static final TraceLevel Coarse

### Method Detail

#### values

    public static TraceLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TraceLevel c : TraceLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TraceLevel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isLoggableFrom

    public boolean isLoggableFrom(TraceLevel level)

Checks if the provided level is higher than this TraceLevel.

Parameters:
  `level` - the TraceLevel to check
Returns:
  true if level is higher or equal than this TraceLevel.
Throws:
  `java.lang.NullPointerException` - if level is null.